<back to all web services

GetDashboardsMessage

The following routes are available for this service:
All Verbs/RestApi/Sitefinity/Analytics/GetDashboards
All Verbs/RestApi/GetDashboards
import datetime
import decimal
from marshmallow.fields import *
from servicestack import *
from typing import *
from dataclasses import dataclass, field
from dataclasses_json import dataclass_json, LetterCase, Undefined, config
from enum import Enum, IntEnum


@dataclass_json(letter_case=LetterCase.CAMEL, undefined=Undefined.EXCLUDE)
@dataclass
class GetDashboardsMessage:
    id: Optional[str] = None
    site_id: Optional[str] = None

Python GetDashboardsMessage DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv

HTTP + JSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/Sitefinity/Analytics/GetDashboards HTTP/1.1 
Host: www.asg.com.au 
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length

{
	Id: 00000000-0000-0000-0000-000000000000
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length

[
	{
		IsVisible: False,
		NavTreeTitle: String,
		SearchBoxTitle: String,
		LayoutTemplateName: String,
		Controls: 
		[
			{
				ControlType: String,
				attributes: 
				{
					String: String
				},
				PlaceholderId: String,
				DisplayName: String,
				Series: 
				[
					{
						MainMetric: 
						{
							Name: String,
							DisplayName: String,
							Value: 0,
							Unit: String,
							DenominatorMetricName: String,
							NominatorMetricName: String,
							ShowInSelector: False
						},
						CategoryFormat: String,
						Batch: False,
						IsCategory: False,
						SeriesName: String,
						SeriesDimensions: 
						[
							{
								
							}
						],
						RelatedDimension: String
					}
				],
				DimensionName: String,
				RelatedDimension: 
				[
					String
				],
				SortbyField: String,
				SortAsc: False
			}
		],
		Items: [],
		HasChildren: False,
		spriteCssClass: String,
		UrlFormat: String,
		suppressMultipleSeries: False
	}
]